você está aqui: Home  → Arquivo de Mensagens

Compilando o qmail em versões recentes de Linux

Colaboração: Daniel Duclos

Data de Publicação: 20 de Outubro de 2004

Quem já tentou compilar o qmail em uma versão mais recente de Linux (como o red Hat 9 ou o debian Unstable) já deve ter obtido um erro, que se repete

error: `errno' undeclared (first use in this function)

Isso é porque o Dan Bernstein (o autor do qmail, o famoso djb) comoteu um erro na programação que aparece quando se tenta compilar contra versões mais recentes da glibc (2.3.1 em diante).

Para resolver isso algumas pessoas escreveram patches que consertam o problema. Então, para compilar o qmail agora basta fazer o seguinte:

Siga os passos normais (isto é, crias os usuários do qmail etc) e quando for baixar e compilar:

  wget http://cr.yp.to/software/qmail-1.03.tar.gz
  wget http://moni.csi.hu/pub/glibc-2.3.1/qmail-1.03.errno.patch
  tar xzf qmail-1.03.tar.gz
  cd qmail-1.03/
  patch < ../qmail-1.03.errno.patch

E ai é só prosseguir com a instalação normal.

  make setup check

Etc.



 

 

Veja a relação completa dos artigos de Daniel Duclos

Opinião dos Leitores

Seja o primeiro a comentar este artigo
*Nome:
Email:
Me notifique sobre novos comentários nessa página
Oculte meu email
*Texto:
 
  Para publicar seu comentário, digite o código contido na imagem acima
 


Powered by Scriptsmill Comments Script